Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.plastic.theme
Class BrownSugar

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.plaf.plastic.PlasticTheme
                  com.jgoodies.plaf.plastic.theme.InvertedColorTheme
                      com.jgoodies.plaf.plastic.theme.BrownSugar

public class BrownSugar
extends InvertedColorTheme

An inverted theme with light foreground colors and a dark brown window background.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class com.jgoodies.plaf.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, controlFont, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, smallFont, systemFont, titleFont, userFont, WHITE`

Constructor Summary
`BrownSugar()`

Method Summary
`String` | `getName()`
`protected ColorUIResource` | `getPrimary1()`
`protected ColorUIResource` | `getPrimary2()`
`protected ColorUIResource` | `getPrimary3()`
`protected ColorUIResource` | `getSecondary1()`
`protected ColorUIResource` | `getSecondary2()`
`protected ColorUIResource` | `getSecondary3()`
`protected ColorUIResource` | `getSoftWhite()`

Methods inherited from class com.jgoodies.plaf.plastic.theme.InvertedColorTheme
`addCustomEntriesToTable, getControlDisabled, getControlHighlight, getControlInfo, getFocusColor, getFont, getFont0, getFont0, getInactiveSystemTextColor, getMenuDisabledForeground, getMenuItemSelectedBackground, getMenuItemSelectedForeground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControlHighlight, getSeparatorBackground, getSimpleInternalFrameBackground, getSubTextFont, getTitleTextColor, getToggleButtonCheckColor`

Methods inherited from class com.jgoodies.plaf.plastic.PlasticTheme
`getBlack, getControlTextFont, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameForeground, getSystemTextColor, getSystemTextFont, getTitleTextFont, getUserTextFont, getWhite, getWindowTitleFont`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlShadow, getControlTextColor, getDesktopColor, getHighlightedTextColor, getInactiveControlTextColor, getMenuBackground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrownSugar

    public BrownSugar()

Method Detail

### getName

    public String getName()

### getPrimary1

    protected ColorUIResource getPrimary1()

  Overrides:
    `getPrimary1` in class `InvertedColorTheme`

### getPrimary2

    protected ColorUIResource getPrimary2()

  Overrides:
    `getPrimary2` in class `InvertedColorTheme`

### getPrimary3

    protected ColorUIResource getPrimary3()

  Overrides:
    `getPrimary3` in class `InvertedColorTheme`

### getSecondary1

    protected ColorUIResource getSecondary1()

  Overrides:
    `getSecondary1` in class `InvertedColorTheme`

### getSecondary2

    protected ColorUIResource getSecondary2()

  Overrides:
    `getSecondary2` in class `InvertedColorTheme`

### getSecondary3

    protected ColorUIResource getSecondary3()

  Overrides:
    `getSecondary3` in class `InvertedColorTheme`

### getSoftWhite

    protected ColorUIResource getSoftWhite()

  Overrides:
    `getSoftWhite` in class `InvertedColorTheme`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.